<?php
/**
 * Public assets management for the Postomatic plugin.
 *
 * @package Postomatic
 */

namespace Postomatic\Frontend;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Public_Assets.
 *
 * Handles public assets for the Postomatic plugin.
 */
class Public_Assets {

	/**
	 * Initialize public assets.
	 */
	public function init() {
		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_styles' ) );
	}

	/**
	 * Enqueue public facing styles.
	 */
	public function enqueue_styles() {
		wp_enqueue_style(
			'postomatic-public',
			POSTOMATIC_PLUGIN_URL . 'includes/public/css/wp-postomatic-public.css',
			array(),
			POSTOMATIC_VERSION,
			'all'
		);
	}
}
